OpenThreads::ReadWriteMutex Class Reference

`#include <ReadWriteMutex>`

## Public Member Functions

| ReadWriteMutex ()
virtual | ~ReadWriteMutex ()
virtual int | readLock ()
virtual int | readUnlock ()
virtual int | writeLock ()
virtual int | writeUnlock ()

## Protected Member Functions

| ReadWriteMutex (const ReadWriteMutex &)
ReadWriteMutex & | operator= (const ReadWriteMutex &)

## Protected Attributes

OpenThreads::Mutex | _readWriteMutex
OpenThreads::Mutex | _readCountMutex
unsigned int | _readCount

## Constructor & Destructor Documentation

## ReadWriteMutex() [1/2]

OpenThreads::ReadWriteMutex::ReadWriteMutex | ( |  | ) |

inline

References _readCount.

Referenced by operator=(), and ReadWriteMutex().

## ~ReadWriteMutex()

virtual OpenThreads::ReadWriteMutex::~ReadWriteMutex | ( |  | ) |

inline virtual

## ReadWriteMutex() [2/2]

OpenThreads::ReadWriteMutex::ReadWriteMutex | ( | const ReadWriteMutex & |  | ) |

inline protected

References ReadWriteMutex().

## Member Function Documentation

## operator=()

ReadWriteMutex & OpenThreads::ReadWriteMutex::operator= | ( | const ReadWriteMutex & |  | ) |

inline protected

References ReadWriteMutex().

## readLock()

virtual int OpenThreads::ReadWriteMutex::readLock | ( |  | ) |

inline virtual

References _readCount, _readCountMutex, and _readWriteMutex.

## readUnlock()

virtual int OpenThreads::ReadWriteMutex::readUnlock | ( |  | ) |

inline virtual

References _readCount, _readCountMutex, and _readWriteMutex.

## writeLock()

virtual int OpenThreads::ReadWriteMutex::writeLock | ( |  | ) |

inline virtual

References _readWriteMutex.

## writeUnlock()

virtual int OpenThreads::ReadWriteMutex::writeUnlock | ( |  | ) |

inline virtual

References _readWriteMutex.

## Member Data Documentation

## _readCount

unsigned int OpenThreads::ReadWriteMutex::_readCount

protected

Referenced by readLock(), readUnlock(), and ReadWriteMutex().

## _readCountMutex

OpenThreads::Mutex OpenThreads::ReadWriteMutex::_readCountMutex

protected

Referenced by readLock(), and readUnlock().

## _readWriteMutex

OpenThreads::Mutex OpenThreads::ReadWriteMutex::_readWriteMutex

protected

Referenced by readLock(), readUnlock(), writeLock(), and writeUnlock().

The documentation for this class was generated from the following file:

- ReadWriteMutex